{
	"columns": [
		{
			"width": 25,
			"lineBackColor": -2,
			"field": "sor_row_number",
			"lineForeColor": -2,
			"name": "Rivi",
			"headerForeColor": -2
		},
		{
			"width": 21,
			"lineBackColor": -2,
			"field": "sor_partial_delivery_number",
			"lineForeColor": -2,
			"name": "Erä",
			"headerForeColor": -2
		},
		{
			"lineFontSize": 12,
			"width": 89,
			"enterable": 1,
			"lineFont": "Helvetica",
			"field": "sor_product_id",
			"lineForeColor": 223,
			"name": "Tuote",
			"lineFontStyle": 1
		},
		{
			"field": "sor_explanation",
			"width": 91,
			"name": "Selitys",
			"enterable": 1
		},
		{
			"headerBackColor": -2,
			"width": 51,
			"lineBackColor": -2,
			"field": "w_drawing_number",
			"lineForeColor": -2,
			"name": "Piirustusnro",
			"headerForeColor": -2
		},
		{
			"headerBackColor": -2,
			"width": 39,
			"lineBackColor": -2,
			"field": "pr_work__position_num_id",
			"lineForeColor": -2,
			"name": "Työ",
			"headerForeColor": -2
		},
		{
			"headerBackColor": -2,
			"width": 25,
			"headerForeColor": -2,
			"lineBackColor": -2,
			"field": "pr_production_control_type",
			"lineForeColor": -2,
			"name": "T/V",
			"format": "V;;T"
		},
		{
			"field": "sor_production_lot",
			"width": 49,
			"name": "Valm. erä",
			"enterable": 1
		},
		{
			"headerBackColor": -2,
			"width": 30,
			"lineBackColor": -2,
			"field": "sor_production_state",
			"lineForeColor": -2,
			"name": "Valm.",
			"headerForeColor": -2
		},
		{
			"width": 39,
			"enterable": 1,
			"field": "sor_ordered_amount",
			"name": "Tilattu",
			"format": "### ### ##0,##"
		},
		{
			"field": "sor_unit",
			"width": 27,
			"name": "yks",
			"enterable": 1
		},
		{
			"width": 68,
			"enterable": 1,
			"field": "sor_delivered_date",
			"lineForeColor": 191,
			"name": "Toim. pv"
		},
		{
			"field": "sor_confirmed_delivery_date",
			"width": 64,
			"name": "Vahv. pv",
			"enterable": 1
		},
		{
			"width": 56,
			"enterable": 1,
			"field": "sor_delivered_quantity",
			"name": "Toimitettu",
			"footerValue": "==Sum"
		},
		{
			"field": "sor_delivery_state",
			"width": 28,
			"name": "TT",
			"enterable": 1
		},
		{
			"headerBackColor": -2,
			"width": 55,
			"footerValue": "==Sum",
			"lineBackColor": -2,
			"field": "sor_waiting_for_delivery",
			"lineForeColor": -2,
			"name": "Jäljellä",
			"headerForeColor": -2
		},
		{
			"field": "sor_pricing_state",
			"width": 58,
			"name": "Hinnoittelu",
			"enterable": 1
		},
		{
			"field": "sor_price__unit",
			"width": 51,
			"name": "à hinta",
			"enterable": 1
		},
		{
			"width": 40,
			"enterable": 1,
			"field": "sor_discount_percentage",
			"name": "Ale%",
			"footerValue": "==Sum"
		},
		{
			"width": 46,
			"enterable": 1,
			"field": "sor_discount_amount",
			"name": "Alennus",
			"footerValue": "==Sum"
		},
		{
			"field": "sor_sales_price_total",
			"width": 60,
			"name": "Hinta yht.",
			"enterable": 1
		},
		{
			"field": "sor_sales_order_code_id",
			"width": 27,
			"name": "M.",
			"enterable": 1
		},
		{
			"field": "sor_delivery_date",
			"width": 69,
			"name": "Tot.to.pv",
			"enterable": 1
		},
		{
			"field": "sor_est_manufacture_date",
			"width": 70,
			"name": "Arv.valm.pv",
			"enterable": 1
		},
		{
			"width": 74,
			"enterable": 1,
			"field": "sor_est_manufacture_time",
			"name": "Arv.valm.aika",
			"format": "&/2"
		},
		{
			"headerBackColor": -2,
			"width": 80,
			"lineBackColor": -2,
			"field": "sor_material_est_arrival_date",
			"lineForeColor": -2,
			"name": "Mat. ar. tulo",
			"headerForeColor": -2
		},
		{
			"headerBackColor": -2,
			"width": 76,
			"lineBackColor": -2,
			"field": "sor_material_act_arrival_date",
			"lineForeColor": -2,
			"name": "Mat. tot. tulo",
			"headerForeColor": -2
		},
		{
			"field": "sor_stock_event",
			"width": 54,
			"name": "Vartap",
			"enterable": 1
		},
		{
			"field": "sor_invoice_id",
			"width": 55,
			"name": "Lasku",
			"enterable": 1
		},
		{
			"field": "sor_dispatch_note_id",
			"width": 55,
			"name": "Lähete",
			"enterable": 1
		},
		{
			"field": "sor_waybill_id",
			"width": 60,
			"name": "Rahtikirja",
			"enterable": 1
		},
		{
			"field": "sor_cost_center",
			"width": 68,
			"name": "Kust.paikka",
			"enterable": 1
		},
		{
			"field": "sor_price_group",
			"width": 68,
			"name": "Hintaryhmä",
			"enterable": 1
		},
		{
			"field": "sor_info",
			"width": 420,
			"name": "Lisätietoja",
			"enterable": 1
		}
	],
	"options": {
		"manyField": "sor_kSales_Order_id",
		"gridName": "1. Myyntirivit",
		"type": "Input",
		"enterable": 1,
		"oneField": "so_kSales_Order_ID",
		"lineHeight": 2
	}
}